Project

Profile

Help

Issue #5973

pulp-python causes ansible-pulp to fail at "RUNNING HANDLER [pulp : Collect static content]"

Added by toffe 9 months ago. Updated 4 months ago.

Status:
NEW
Priority:
Normal
Assignee:
-
Sprint/Milestone:
-
Start date:
01/13/2020
Due date:
Estimated time:
Severity:
2. Medium
Version - Python:
Platform Release:
Target Release - Python:
OS:
CentOS 7
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

When using ansible-pulp and adding pulp-python to "pulp_install_plugins", I get the following error:


RUNNING HANDLER [pulp : Collect static content] ***********************************************************************************************************************************************
fatal: [nexus-testlab.c54.no.myatea.net]: FAILED! => changed=true
cmd:
- /usr/local/lib/pulp/bin/django-admin
- collectstatic
- --noinput
- --link
delta: '0:00:01.280081'
end: '2020-01-13 16:15:54.178409'
msg: non-zero return code
rc: 1
start: '2020-01-13 16:15:52.898328'
stderr: |-
Traceback (most recent call last):
File "/usr/local/lib/pulp/bin/django-admin", line 11, in <module>
sys.exit(execute_from_command_line())
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
utility.execute()
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/__init__.py", line 357, in execute
django.setup()
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/__init__.py", line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/apps/registry.py", line 114, in populate
app_config.import_models()
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/apps/config.py", line 211, in import_models
self.models_module = import_module(models_module_name)
File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
return bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 994, in _gcd_import
File "<frozen importlib._bootstrap>", line 971, in _find_and_load
File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 678, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulp_rpm/app/models/
_init__.py", line 1, in <module>
from .advisory import UpdateCollection, UpdateCollectionPackage, UpdateRecord, UpdateReference # noqa
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulp_rpm/app/models/advisory.py", line 9, in <module>
from pulpcore.plugin.models import (
File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/plugin/models/__init__.py", line 4, in <module>
from pulpcore.app.models import ( # noqa
ImportError: cannot import name 'Model'
stderr_lines: <omitted>
stdout: ''
stdout_lines: <omitted>


When commenting out pulp-python the playbook runs as expected, installing pulp-file and pulp-rpm.

History

#1 Updated by fao89 9 months ago

  • Project changed from Pulp to Python Support

#2 Updated by bmbouter 5 months ago

  • Tags deleted (Pulp 3 installer)

#3 Updated by david.macneil@actual-experience.com 4 months ago

Is there any update on this please? Seems to be blocking installation on Centos7 and completely breaks Pulp if you try to add it onto an existing installation. Tested this on a completely fresh Centos AWS AMI (ami-0b850cf02cc00fdc8)

Please register to edit this issue

Also available in: Atom PDF